TagLib::VersionNumber Class Reference

Version number with major, minor and patch segments. More...

`#include <tversionnumber.h>`

## Public Member Functions

constexpr | VersionNumber (unsigned int major, unsigned int minor, unsigned int patch=0)
constexpr unsigned int | combinedVersion () const
constexpr unsigned int | majorVersion () const
constexpr unsigned int | minorVersion () const
constexpr unsigned int | patchVersion () const
constexpr bool | operator== (const VersionNumber &rhs) const
constexpr bool | operator!= (const VersionNumber &rhs) const
constexpr bool | operator< (const VersionNumber &rhs) const
constexpr bool | operator> (const VersionNumber &rhs) const
constexpr bool | operator<= (const VersionNumber &rhs) const
constexpr bool | operator>= (const VersionNumber &rhs) const
String | toString () const

## Related Symbols

(Note that these are not member symbols.)
TAGLIB_EXPORT VersionNumber | runtimeVersion ()

## Detailed Description

Version number with major, minor and patch segments.

## Constructor & Destructor Documentation

## VersionNumber()

TagLib::VersionNumber::VersionNumber | ( | unsigned int | major,
|  | unsigned int | minor,
|  | unsigned int | patch = 0 )

inline constexpr

Constructs a version number from major, minor and patch segments.

Referenced by operator!=(), operator<(), operator<=(), operator==(), operator>(), operator>=(), and runtimeVersion().

## Member Function Documentation

## combinedVersion()

unsigned int TagLib::VersionNumber::combinedVersion | ( |  | ) | const

inline constexpr

Returns the version as an unsigned integer in the form (major version << 16) | (minor version << 8) | (patch version), e.g. 0x020100 for version 2.1.0.

## majorVersion()

unsigned int TagLib::VersionNumber::majorVersion | ( |  | ) | const

inline constexpr

Returns the major version, e.g. 2

## minorVersion()

unsigned int TagLib::VersionNumber::minorVersion | ( |  | ) | const

inline constexpr

Returns the minor version, e.g. 1

## operator!=()

bool TagLib::VersionNumber::operator!= | ( | const VersionNumber & | rhs | ) | const

inline constexpr

Returns `true` if this version is not equal to rhs.

References VersionNumber().

## operator<()

bool TagLib::VersionNumber::operator< | ( | const VersionNumber & | rhs | ) | const

inline constexpr

Returns `true` if this version is less than rhs.

References VersionNumber().

## operator<=()

bool TagLib::VersionNumber::operator<= | ( | const VersionNumber & | rhs | ) | const

inline constexpr

Returns `true` if this version is less or equal than rhs.

References VersionNumber().

## operator==()

bool TagLib::VersionNumber::operator== | ( | const VersionNumber & | rhs | ) | const

inline constexpr

Returns `true` if this version is equal to rhs.

References VersionNumber().

## operator>()

bool TagLib::VersionNumber::operator> | ( | const VersionNumber & | rhs | ) | const

inline constexpr

Returns `true` if this version is greater than rhs.

References VersionNumber().

## operator>=()

bool TagLib::VersionNumber::operator>= | ( | const VersionNumber & | rhs | ) | const

inline constexpr

Returns `true` if this version is greater or equal than rhs.

References VersionNumber().

## patchVersion()

unsigned int TagLib::VersionNumber::patchVersion | ( |  | ) | const

inline constexpr

Returns the patch version, e.g. 0

## toString()

String TagLib::VersionNumber::toString | ( |  | ) | const

Returns a string with major, minor, and patch versions separated by periods.

## Friends And Related Symbol Documentation

## runtimeVersion()

TAGLIB_EXPORT VersionNumber runtimeVersion | ( |  | ) |

related

Returns the version number of TagLib in use at runtime. This does not need not be the version the application was compiled with.

References TAGLIB_EXPORT, and VersionNumber().

The documentation for this class was generated from the following file:

- tversionnumber.h